package jalview.schemes;

import java.lang.reflect.*;
import java.util.*;

public class ColourSchemeFactory {

  public static ColourSchemeI get(int index) {
    try {
      System.out.println("Getting " + index);
      String name = ColourProperties.getClassName(index);
      System.out.println("Name " + name);
      Class c = Class.forName(name);

      return (ColourSchemeI)c.newInstance();
    } catch (Exception e) {
      System.err.println(e);
      return null;
    }
  }

  public static ColourSchemeI get(String scheme) {
    return get(ColourProperties.indexOf(scheme));
  }

  public static int get(ColourSchemeI cs) {
    return ColourProperties.indexOfClass(cs);
  }
}
